libchipcard6_5.0.3beta-5_amd64.deb


Advertisement

Description

libchipcard6 - library for accessing smartcards

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libchipcard6
Package version 5.0.3beta
Package release 5
Package architecture amd64
Package type deb
Installed size 377 B
Download size 120.31 KB
Official Mirror ftp.br.debian.org
libchipcard provides an API for accessing smartcards. Examples are
memory cards, as well as HBCI (home banking), German GeldKarte
(electronic small change), and KVK (health insurance) cards.
This package contains the client API.

Alternatives

Package Version Architecture Repository
libchipcard6_5.0.3beta-5_i386.deb 5.0.3beta i386 Debian Main
libchipcard6 - - -

Requires

Name Value
libc6 >= 2.7
libchipcard-data >= 5.0.3beta-5
libgwenhywfar60 >= 4.1.0
libpcsclite1 >= 1.3.0
zlib1g >= 1:1.1.4

Download

Type URL
Binary Package libchipcard6_5.0.3beta-5_amd64.deb
Source Package libchipcard

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libchipcard6 deb package:
    # sudo apt-get install libchipcard6

Files

Path
/usr/lib/libchipcard.so.6
/usr/lib/libchipcard.so.6.0.3
/usr/share/doc/libchipcard6/README.gz
/usr/share/doc/libchipcard6/changelog.Debian.gz
/usr/share/doc/libchipcard6/changelog.gz
/usr/share/doc/libchipcard6/copyright
/usr/share/doc/libchipcard6/examples/chipcardc.conf.default
/usr/share/doc/libchipcard6/examples/chipcardc.conf.example

Changelog

2014-07-19 - Micha Lenk <micha@debian.org>
libchipcard (5.0.3beta-5) unstable; urgency=medium
* Use dh-autoreconf to get new libtool macros for ppc64el and update
config.{sub,guess} for new arches (closes: #735218). Thanks to
Logan Rosen <logan@ubuntu.com> for providing the patch.
* Fix clean target in debian/rules. Thanks to Logan Rosen <logan@ubuntu.com>
for providing the patch.
* Package is compliant to Debian Policy 3.9.5 (no changes needed).
* debian/control: Update Vcs-* URLs.
2013-05-26 - Micha Lenk <micha@debian.org>
libchipcard (5.0.3beta-4) unstable; urgency=low
* Package is compliant to Debian Policy 3.9.4 (no changes needed).
* Drop transitional dummy package libchipcard-libgwenhywfar47-plugins
after release of Debian 'wheezy'.
* Use build flags as exported by dpkg-buildflags.
2013-04-20 - Micha Lenk <micha@debian.org>
libchipcard (5.0.3beta-3) unstable; urgency=low
* Add transitional dummy package libchipcard-libgwenhywfar47-plugins
(closes: #705843), which existed in squeeze, but was renamed to
libchipcard-libgwenhywfar60-plugins in wheezy. It should help users
upgrading from squeeze to wheezy.
2012-06-10 - Micha Lenk <micha@debian.org>
libchipcard (5.0.3beta-2) unstable; urgency=low
* debian/control: Drop +ssh from Vcs-Svn: field to make
debcheckout work for everybody (closes: #670274).
* debian/libchipcard-tools.{preinst,postinst,postrm}: Finally remove the
obsolete init script on upgrade (closes: #676778). Thanks to Paul Menzel
for reporting the issue. The package now pre-depends on dpkg (>= 1.15.7.2)
as it makes use of dpkg-maintscript-helper features introduced in that
version.
2012-04-13 - Micha Lenk <micha@debian.org>
libchipcard (5.0.3beta-1) unstable; urgency=low
* New upstream release
* Update debian/watch file to catch beta releases too
* Add new symbols to debian/libchipcard6.symbols
* Explicitly configure location of PCSC libraries in Debian Multiarch
directory (closes: #666590). 
* Tighten build-dep on debhelper: overrides need at least version 7.0.50.
* Package is compliant to Debian Policy 3.9.3.0 (no changes needed).
2011-06-13 - Micha Lenk <micha@debian.org>
libchipcard (5.0.2-1) unstable; urgency=low
* New upstream version
* Package is compliant to Debian Policy 3.9.2.0 (no changes needed)
* Dropped patch Fix_deprecated_SCARD_READERSTATE_A.patch (included upstream)
2011-02-26 - Micha Lenk <micha@debian.org>
libchipcard (5.0.1test-2) unstable; urgency=low
* Switch to dpkg-source 3.0 (quilt) format
* Add patch Fix_deprecated_SCARD_READERSTATE_A.patch (closes: #614460)
2011-02-06 - Micha Lenk <micha@debian.org>
libchipcard (5.0.1test-1) unstable; urgency=low
* New upstream release
* Updated symbols file
2010-09-14 - Micha Lenk <micha@debian.org>
libchipcard (5.0.0-1) experimental; urgency=low
* New upstream release (closes: #595401)
* Updated build-dep on libgwenhywfar due to changed soname
* Renamed package libchipcard-libgwenhywfar59-plugins to
libchipcard-libgwenhywfar60-plugins following changed soname of
libgwenhywfar
* Renamed package libchipcard5 to libchipcard6 matching changed soname
* Updated debian/watch file to catch only stable releases
* Cleaned up the debian/ directory a bit:
- removed libchipcard-tools.README.Debian and libchipcard-tools.NEWS:
they are irrelevant without the libchipcard daemon
- removed generate_udev_list.sh and trigger_chipcardreader_scan.sh:
they were used to trigger hardware scans, useless without the daemon
- removed libchipcard-tools.dirs: unsure what it was needed for
- updated clean target in debian/rules: no need to delete non-existent
libchipcard-tools.udev file (previously generated during built)
2010-08-27 - Micha Lenk <micha@debian.org>
libchipcard (4.99.9rc-2) experimental; urgency=low
* Fastened build-dep on libgwenhywfar version as required by upstream.

See Also

Package Description
libchipmunk0d3_6.1.5-1_amd64.deb fast and lightweight 2D rigid body physics library in C
libchise-dev_0.3.0-2+b2_amd64.deb C language binding of CHISE, the character information database
libchise1_0.3.0-2+b2_amd64.deb C language binding of CHISE, the character information database
libchm-bin_0.40a-3+b1_amd64.deb library for dealing with Microsoft CHM files (test programs)
libchm-dev_0.40a-3+b1_amd64.deb library for dealing with Microsoft CHM files (development)
libchm1_0.40a-3+b1_amd64.deb library for dealing with Microsoft CHM files
libcholmod2.1.2_4.2.1-3_amd64.deb sparse Cholesky factorization library for sparse matrices
libchromaprint-dev_1.2-1_amd64.deb audio fingerprinting library - development files
libchromaprint-tools_1.2-1_amd64.deb audio fingerprinting library - tools
libchromaprint0_1.2-1_amd64.deb audio fingerprint library
libcigicl-dev_3.3.3a+svn818-7_amd64.deb development files for the CIGI class library (CCL)
libcigicl1_3.3.3a+svn818-7_amd64.deb runtime library for the CIGI class library (CCL)
libcilkrts5_4.9.2-10+deb8u1_amd64.deb Intel Cilk Plus language extensions (runtime)
libcinnamon-control-center-dev_2.2.11-4_amd64.deb utilities to configure the Cinnamon desktop
libcinnamon-control-center1_2.2.11-4_amd64.deb utilities to configure the Cinnamon desktop
Advertisement
Advertisement